unit knihy;

interface (* toto bude zvonku viditelne *)

type p_kt = ^kniha_typ; (* p_kt je smernik na strukturu kniha_typ *)

     (* vlastna deklaracia struktury kniha_typ *)
     kniha_typ = record  
                   nazov : string;     (* meno knihy *)
                   cislo : string[10]; (* moze byt aj L13/455 *)
                   stav  : byte;       (* 0 az 100 (%) *)
                   pozic : boolean;    (* false-volna, true-pozicana *)
                   datum : string[10]; (* tvar 04-12-2003 *)
                   meno  : string;     (* meno citatela *)
                   sused : p_kt;       (* smernik na dalsiu knihu *)
                 end;

var zaciatok, kniha : p_kt;
    kelo_reg : word;

(*
   struktura (zaznam) zaciatok bude prazdny zoznam (ukazuje na nil)
   dalsie zaznamy sa budu vkladat pred ostatne, cim sa ostatne budu
   posuvat vpravo (vznikne postupnost prvkov linearneho zoznamu v
   opacnom poradi ako sa vytvarali
*)

procedure nova(var zaciatok : p_kt);
procedure fsetky(zaciatok : p_kt);

implementation  (* a tu su vlastne definicie procedur *)

procedure nova(var zaciatok : p_kt);
var nova_kniha : p_kt;
begin
  new(nova_kniha);
  kelo_reg:=kelo_reg+1;
  writeln;
  writeln('NOVY ZAZNAM');
  write('Nazov knihy: '); readln(nova_kniha^.nazov);
  write('Cislo knihy: '); readln(nova_kniha^.cislo);
  write('Stav knihy v % (bez znaku %): '); readln(nova_kniha^.stav);
  writeln('Pocet registrovanych knih je ',kelo_reg);
  (* dalsie polozky zrejme budu prazdne, bo ak registrujem
     knihu, asi hu drzim v ruke *)
  nova_kniha^.pozic:=false;
  nova_kniha^.datum:='';
  nova_kniha^.meno:='';
  nova_kniha^.sused:=zaciatok;
  zaciatok:=nova_kniha;
end;

procedure fsetky(zaciatok : p_kt);
var p : p_kt;
    i : word;
begin
  p:=zaciatok; i:=0;
  writeln;
  while p^.sused<>nil do begin
    i:=i+1;
    writeln(i,'. ',p^.nazov,' ',p^.cislo,' ',p^.stav);
    p:=p^.sused;
  end;
end;

end.